=== debian/changelog ===
prads (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #644050)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 02 Oct 2011 12:55:25 +0200
