=== debian/control ===
Source: prads
Section: utils
Priority: extra
Maintainer: Prads package developers <prads-devel@projects.linpro.no>
Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>,
           Kacper Wysocki <comotion@krutt.org>
Build-Depends: debhelper (>= 7.0.50~), libpcap-dev, libpcre3-dev, python-docutils (>= 0.6)
Standards-Version: 3.9.2
Homepage: http://gamelinux.github.com/prads/
Vcs-Git: git://github.com/gamelinux/prads.git
Vcs-Browser: http://github.com/gamelinux/prads/tree/master
DM-Upload-Allowed: yes

Package: prads
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8, libpcre3,
 adduser
Description: Passive Real-time Asset Detection System
 PRADS is a Passive Real-time Asset Detection System.
 .
 PRADS employs digital fingerprints to recognize services on the wire,
 and can be used to map your network and monitor for changes in real
 time.
 .
 Real-time passive traffic analysis will also let you detect assets
 that are just connected to the network for a short period of time,
 since PRADS can glean useful information from every packet.
 .
 PRADS aims to be the one-stop-shop for passive asset detection, and
 currently does MAC lookups, TCP and UDP OS fingerprinting as well as
 client and service application matching and a connection state table.
 Various output plugins include logfile and FIFO and make PRADS a
 useful replacement for p0f, pads and sancp.
 .
 PRADS was built from the ground up for a small footprint and modern
 networks with IPv6 and gigabits of throughput.
