=== debian/changelog ===
prads (0.3.3-7) unstable; urgency=medium

  * Remove 1 obsolete maintscript entry.
  * Bump debhelper from old 12 to 13. + Rename debian/prads.tmpfile to
    debian/prads.tmpfiles.
  * Update standards version to 4.6.0, no changes needed.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Thu, 14 Oct 2021 22:11:17 +0200

prads (0.3.3-6) unstable; urgency=medium

  * debian/control: Update packaging contact information (Closes: #978625)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 07 Mar 2021 10:06:15 +0100

prads (0.3.3-5) unstable; urgency=medium

  * debian/watch: Be more restrictive when matching
  * Patch upstream: Convert eth.sig from national to utf-8 encoding
  * debian/test: Do DEP-8 tests with testinfra

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 22 Dec 2020 18:31:16 +0100

prads (0.3.3-4) unstable; urgency=medium

  * prads.init: Ensure "status" checks pidfile in chroot

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 19:06:58 +0200

prads (0.3.3-3) unstable; urgency=medium

  [ Stig Sandbeck Mathisen ]
  * Fix output redirection in postinst script (Closes: #908252)
  * prads.init: Do not start prads in runlevel "S" (Closes: #763425)
  * Add missing changelog entry in previous release
  * prads.init: When stopping, match exec and user as well as pidfile

  [ Clint Adams ]
  * Use mktemp instead of tempfile (Closes: #961361)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 18:45:59 +0200

prads (0.3.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Depend on newer debhelper (>= 9.20160709) rather than dh-systemd.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Use secure URI in Vcs control headers: Vcs-Browser, Vcs-Git.

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #960334)

  [ Stig Sandbeck Mathisen ]
  * Move packaging repository to Salsa
  * Convert packaging to use dgit-maint-merge(7) workflow
  * Declare compliance with the Debian Policy 4.5.0
  * Add patch to fix FTBFS with GCC 10 (Closes: #957706)
  * Add DEP-8 tests
  * Add a RELEASE to the version to avoid calling git during build
  * Lintian fix: Do not use old githubredir service in debian/watch
  * Lintian fix: Move to debian/prads.maintscript
  * Lintian fix: Add missing misc:Pre-Depends
  * Lintian fix: Add home /nonexistent for the prads service user
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 20 Sep 2020 13:47:30 +0200

prads (0.3.3-1.2) unstable; urgency=medium

  * Add build dep on python3-docutils (Closes: #960768)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sat, 06 Jun 2020 19:18:00 +0200

prads (0.3.3-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete Python build deps (Closes: #894822, #937317)

 -- Moritz Muehlenhoff <jmm@debian.org>  Sun, 10 May 2020 20:19:36 +0200

prads (0.3.3-1) unstable; urgency=medium

  * Imported upstream release 0.3.3
  * Support multiple init systems
  * Bump debhelper version to 9
    - we now build with hardening flags
  * Add patch to not overwrite CFLAGS when building
  * Install missing /etc/prads/dhcp.fp
  * Remove obsolete conffile /etc/prads/init.d/prads.rc

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 11 Feb 2014 09:24:42 +0100
