=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: prads
 Section: utils
-Priority: extra
-Maintainer: Prads package developers <prads-devel@projects.linpro.no>
-Uploaders: Stig Sandbeck Mathisen <ssm@debian.org>,
-           Kacper Wysocki <comotion@krutt.org>
-Build-Depends: debhelper (>= 7.0.50~), libpcap-dev, libpcre3-dev, python-docutils (>= 0.6)
-Standards-Version: 3.9.2
-Homepage: http://gamelinux.github.com/prads/
-Vcs-Git: git://github.com/gamelinux/prads.git
-Vcs-Browser: http://github.com/gamelinux/prads/tree/master
-DM-Upload-Allowed: yes
+Priority: optional
+Maintainer: Stig Sandbeck Mathisen <ssm@debian.org>
+Build-Depends:
+ debhelper-compat (= 13),
+ libpcap-dev,
+ libpcre3-dev,
+ python3-docutils,
+Standards-Version: 4.6.0
+Homepage: https://gamelinux.github.com/prads/
+Vcs-Git: https://salsa.debian.org/debian/prads.git
+Vcs-Browser: https://salsa.debian.org/debian/prads
 
 Package: prads
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8, libpcre3,
  adduser
 Description: Passive Real-time Asset Detection System
