=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,9 @@
 	dh $@
 
 override_dh_auto_build:
-	$(MAKE) CONFDIR=/etc/prads
+	dh_auto_build -- CONFDIR=/etc/prads RELEASE=-debian
 
 override_dh_auto_install:
 	$(MAKE) PREFIX=/usr CONFDIR=/etc/prads DESTDIR=$(CURDIR)/debian/prads install
+	install -m 0644 etc/dhcp.fp debian/prads/etc/prads
+	rm -frv debian/prads/etc/prads/init.d
