=== debian/tests/control ===
Test-Command: cd debian/tests && py.test-3 -v
Depends: @,python3-testinfra
Restrictions: isolation-container
