=== debian/watch ===
version=4
https://github.com/gamelinux/prads/tags archive/([0-9]+(?:[.][0-9]+)+)[.]tar[.]gz
